Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.4.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
236.4.32.0
Broadcast address
236.4.47.255
First usable
236.4.32.1
Last usable
236.4.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC042000 · Integer 3959693312 to 3959697407
Reverse DNS zones
32.4.236.in-addr.arpa
33.4.236.in-addr.arpa
34.4.236.in-addr.arpa
35.4.236.in-addr.arpa
36.4.236.in-addr.arpa
37.4.236.in-addr.arpa
38.4.236.in-addr.arpa
39.4.236.in-addr.arpa
40.4.236.in-addr.arpa
41.4.236.in-addr.arpa
42.4.236.in-addr.arpa
43.4.236.in-addr.arpa
44.4.236.in-addr.arpa
45.4.236.in-addr.arpa
46.4.236.in-addr.arpa
47.4.236.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.00000100.00100000.00000000236.4.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11101100.00000100.00100000.00000000236.4.32.0
Broadcast11101100.00000100.00101111.11111111236.4.47.255
Split into smaller subnets/26

236.4.32.0/20 makes 64 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.4.32.0/26236.4.32.1 to 236.4.32.62236.4.32.6362
2236.4.32.64/26236.4.32.65 to 236.4.32.126236.4.32.12762
3236.4.32.128/26236.4.32.129 to 236.4.32.190236.4.32.19162
4236.4.32.192/26236.4.32.193 to 236.4.32.254236.4.32.25562
5236.4.33.0/26236.4.33.1 to 236.4.33.62236.4.33.6362
6236.4.33.64/26236.4.33.65 to 236.4.33.126236.4.33.12762
7236.4.33.128/26236.4.33.129 to 236.4.33.190236.4.33.19162
8236.4.33.192/26236.4.33.193 to 236.4.33.254236.4.33.25562
9236.4.34.0/26236.4.34.1 to 236.4.34.62236.4.34.6362
10236.4.34.64/26236.4.34.65 to 236.4.34.126236.4.34.12762
11236.4.34.128/26236.4.34.129 to 236.4.34.190236.4.34.19162
12236.4.34.192/26236.4.34.193 to 236.4.34.254236.4.34.25562
13236.4.35.0/26236.4.35.1 to 236.4.35.62236.4.35.6362
14236.4.35.64/26236.4.35.65 to 236.4.35.126236.4.35.12762
15236.4.35.128/26236.4.35.129 to 236.4.35.190236.4.35.19162
16236.4.35.192/26236.4.35.193 to 236.4.35.254236.4.35.25562
17236.4.36.0/26236.4.36.1 to 236.4.36.62236.4.36.6362
18236.4.36.64/26236.4.36.65 to 236.4.36.126236.4.36.12762
19236.4.36.128/26236.4.36.129 to 236.4.36.190236.4.36.19162
20236.4.36.192/26236.4.36.193 to 236.4.36.254236.4.36.25562
21236.4.37.0/26236.4.37.1 to 236.4.37.62236.4.37.6362
22236.4.37.64/26236.4.37.65 to 236.4.37.126236.4.37.12762
23236.4.37.128/26236.4.37.129 to 236.4.37.190236.4.37.19162
24236.4.37.192/26236.4.37.193 to 236.4.37.254236.4.37.25562
25236.4.38.0/26236.4.38.1 to 236.4.38.62236.4.38.6362
26236.4.38.64/26236.4.38.65 to 236.4.38.126236.4.38.12762
27236.4.38.128/26236.4.38.129 to 236.4.38.190236.4.38.19162
28236.4.38.192/26236.4.38.193 to 236.4.38.254236.4.38.25562
29236.4.39.0/26236.4.39.1 to 236.4.39.62236.4.39.6362
30236.4.39.64/26236.4.39.65 to 236.4.39.126236.4.39.12762
31236.4.39.128/26236.4.39.129 to 236.4.39.190236.4.39.19162
32236.4.39.192/26236.4.39.193 to 236.4.39.254236.4.39.25562
33236.4.40.0/26236.4.40.1 to 236.4.40.62236.4.40.6362
34236.4.40.64/26236.4.40.65 to 236.4.40.126236.4.40.12762
35236.4.40.128/26236.4.40.129 to 236.4.40.190236.4.40.19162
36236.4.40.192/26236.4.40.193 to 236.4.40.254236.4.40.25562
37236.4.41.0/26236.4.41.1 to 236.4.41.62236.4.41.6362
38236.4.41.64/26236.4.41.65 to 236.4.41.126236.4.41.12762
39236.4.41.128/26236.4.41.129 to 236.4.41.190236.4.41.19162
40236.4.41.192/26236.4.41.193 to 236.4.41.254236.4.41.25562
41236.4.42.0/26236.4.42.1 to 236.4.42.62236.4.42.6362
42236.4.42.64/26236.4.42.65 to 236.4.42.126236.4.42.12762
43236.4.42.128/26236.4.42.129 to 236.4.42.190236.4.42.19162
44236.4.42.192/26236.4.42.193 to 236.4.42.254236.4.42.25562
45236.4.43.0/26236.4.43.1 to 236.4.43.62236.4.43.6362
46236.4.43.64/26236.4.43.65 to 236.4.43.126236.4.43.12762
47236.4.43.128/26236.4.43.129 to 236.4.43.190236.4.43.19162
48236.4.43.192/26236.4.43.193 to 236.4.43.254236.4.43.25562
49236.4.44.0/26236.4.44.1 to 236.4.44.62236.4.44.6362
50236.4.44.64/26236.4.44.65 to 236.4.44.126236.4.44.12762
51236.4.44.128/26236.4.44.129 to 236.4.44.190236.4.44.19162
52236.4.44.192/26236.4.44.193 to 236.4.44.254236.4.44.25562
53236.4.45.0/26236.4.45.1 to 236.4.45.62236.4.45.6362
54236.4.45.64/26236.4.45.65 to 236.4.45.126236.4.45.12762
55236.4.45.128/26236.4.45.129 to 236.4.45.190236.4.45.19162
56236.4.45.192/26236.4.45.193 to 236.4.45.254236.4.45.25562
57236.4.46.0/26236.4.46.1 to 236.4.46.62236.4.46.6362
58236.4.46.64/26236.4.46.65 to 236.4.46.126236.4.46.12762
59236.4.46.128/26236.4.46.129 to 236.4.46.190236.4.46.19162
60236.4.46.192/26236.4.46.193 to 236.4.46.254236.4.46.25562
61236.4.47.0/26236.4.47.1 to 236.4.47.62236.4.47.6362
62236.4.47.64/26236.4.47.65 to 236.4.47.126236.4.47.12762
63236.4.47.128/26236.4.47.129 to 236.4.47.190236.4.47.19162
64236.4.47.192/26236.4.47.193 to 236.4.47.254236.4.47.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses